Bug 980724 - Subscription Details in "All Available Subscriptions" tab still display the last subscription's info when no subscription is listed.
Subscription Details in "All Available Subscriptions" tab still display the l...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Carter Kozak
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
Reported: 2013-07-03 02:49 EDT by xingge
Modified: 2016-09-19 22:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Story Points: ---
Clone Of:
Last Closed: 2013-09-30 19:12:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen shot when error happens (51.17 KB, image/png)
2013-07-03 02:49 EDT, xingge
no flags Details

  None (edit)
Description xingge 2013-07-03 02:49:20 EDT
Description of problem:
Subscription Details in "All Available Subscriptions" tab still display the last subscription's info when no subscription is listed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.register the system from gui with "manullay attach subscriptions after registration" selected.

2.Go to "All Available Subscriptions" tab and press "Update" button.

3.Select one listed subscription to see the subscription details.

4.Unregister the system.

5.Repeat step 1.

6.Go to "All Available Subscriptions" tab

Actual results:
Even though no subscriptions is listed, the "Subscription Details" still have last subscriptions info.

Expected results:
The "Subscription Details" table should be empty.

Additional info:
After press the update button and new subscriptions are listed, the "Subscription Details" goes empty again.
Comment 1 xingge 2013-07-03 02:49:48 EDT
Created attachment 768097 [details]
screen shot when error happens
Comment 2 RHEL Product and Program Management 2013-07-03 02:57:30 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Carter Kozak 2013-07-11 12:49:33 EDT
Unable to reproduce.

# subman version
server type: Red Hat Subscription Management
subscription management server: 0.8.17-1
subscription-manager: 1.8.12-1.git.1.1a54d27
python-rhsm: 1.8.13-1.git.0.85d7af5
Comment 5 Carter Kozak 2013-07-22 12:36:11 EDT
I am unable to reproduce this.  You will need to provide more information.

What versions are you using?  How are you testing this?  Is it automated?  What version of rhel are you using?

How exactly are you registering and unregistering?  To what candlepin server?  Is this happening through the gui?

Does this fix itself after a moment, or persist?
Comment 6 Carter Kozak 2013-07-22 15:33:13 EDT
commit c94a0c328069e43e3ce165cc1e329511c7a501c6
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jul 22 13:10:09 2013 -0400

    980724: allsubstab cleared on identity change, check redeem on register
Comment 7 xingge 2013-07-22 21:58:49 EDT
I use the latest rhel5.10 --> RHEL5.10-Snapshot-1.0-client-x86_64
and the pakage version is:

I use account:stage_test_26, and it doesn't fix itself until you press "update" button.
Comment 8 Carter Kozak 2013-07-23 08:43:41 EDT
Were you unsubscribing with the button, or with the CLI?
Comment 10 xingge 2013-07-24 04:14:24 EDT
verified on subscription-manager-gui-1.8.14 in system RHEL5.10-Snapshot-1.0-server-x86_64
Comment 12 errata-xmlrpc 2013-09-30 19:12:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.